"use strict" ;

/**
 * The <code>global</code> namespace (reference to the global scope of the application), this object can target the <code>window</code> or the <code>document</code> global objects in the browser or an other global reference.
 * @name polyfill
 * @memberof polyfill
 * @const
 * @instance
 */
let base = global || null ;

if( base === null )
{
    try
    {
        base = window ;
    }
    catch( ignored ) {}
}

if( base === null )
{
    try
    {
        base = document ;
    }
    catch( ignored ) {}
}

if( base === null )
{
    base = {} ;
}

export { base as global } ;